aboutsummaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-12-17 17:46:15 +1300
committerTom Ryder <tom@sanctum.geek.nz>2016-12-17 17:53:22 +1300
commit700ac112a3dd2041de5fc2a6abd3781103c704a8 (patch)
tree91c0a928697f6ddef11312b95d391b5c9afbb5e4 /sh
parentResolve an issue with find(1) compatibility (diff)
downloaddotfiles-700ac112a3dd2041de5fc2a6abd3781103c704a8.tar.gz
dotfiles-700ac112a3dd2041de5fc2a6abd3781103c704a8.zip
Rename all pdksh stuff to ksh
As part of a foray into more active use of ksh and derivatives.
Diffstat (limited to 'sh')
-rw-r--r--sh/shrc.d/ksh.sh10
1 files changed, 4 insertions, 6 deletions
diff --git a/sh/shrc.d/ksh.sh b/sh/shrc.d/ksh.sh
index 046cd6c4..9cb72e8e 100644
--- a/sh/shrc.d/ksh.sh
+++ b/sh/shrc.d/ksh.sh
@@ -2,9 +2,7 @@
# configuration if it was defined or if we can find it. Bash and Zsh invoke
# their own rc files first, which I've written to then look for ~/.shrc; ksh
# does it the other way around.
-case $KSH_VERSION in
- *'PD KSH '*|*'MIRBSD KSH '*)
- [ -f "${KSH_ENV:="$HOME"/.pdkshrc}" ] || return
- . "$KSH_ENV"
- ;;
-esac
+[ -n "$KSH_VERSION" ] || return
+[ -n "$KSH_ENV" ] || KSH_ENV=$HOME/.kshrc
+[ -f "$KSH_ENV" ] || return
+. "$KSH_ENV"